# ---------------------------------------------------------------------------
#
# Ampel.PY                                             Ulrich Müller 23.08.10
#                                                      Aspire    Python 3.1.1
# Betrieb der Fußgängerampel von Robo LT Beginner Lab
#
# ---------------------------------------------------------------------------

from FishFa40 import *

fl           = FishFace()
mRot         = 1
mGruen       = 2
iAnforderung = 1

def Ampel1():
    "Anforderung Fußphase"
    fl.SetMotor(mRot, fl.Ein)
    while not fl.Finish():
        if fl.GetInput(iAnforderung):
            print("Signal kommt")
            fl.Pause(5000)
            fl.SetMotor(mRot, fl.Aus)
            fl.SetMotor(mGruen, fl.Ein)
            fl.Pause(10000)
            fl.SetMotor(mRot, fl.Ein)
            fl.SetMotor(mGruen, fl.Aus)
    fl.SetMotor(mRot, fl.Aus)
    
def Ampel2():
    "Fußphase mit Grünblinken"
    fl.SetMotor(mRot, fl.Ein)
    while not fl.Finish():
        if fl.GetInput(iAnforderung):
            print("Signal kommt")
            fl.Pause(5000)
            fl.SetMotor(mRot, fl.Aus)
            fl.SetMotor(mGruen, fl.Ein)
            fl.Pause(10000)
            for i in range(1,3):
                fl.SetMotor(mGruen, fl.Aus)
                fl.Pause(1000)
                fl.SetMotor(mGruen,  fl.Ein)
                fl.Pause(1000)
            fl.SetMotor(mRot, fl.Ein)
            fl.SetMotor(mGruen, fl.Aus)
    fl.SetMotor(mRot, fl.Aus)
            
print("Ampel wird gestartet")
fl.OpenInterface()
Ampel2()
print("Ampel wird abgeschaltet")
fl.CloseInterface()
