# ---------------------------------------------------------------------------
#
# Kuehlschrank.PY                                      Ulrich Müller 22.08.10
#                                                      Aspire    Python 3.1.1
#
# ---------------------------------------------------------------------------

from FishFa40 import *
import _thread

mWeiss = 1
mRot   = 2
iOffen = 1

def Kuehlschrank1():
    "Weiße Lampe"
    while not fl.Finish():
        if fl.GetInput(iOffen):
            fl.SetMotor(mWeiss, fl.Aus)
        else:
            fl.SetMotor(mWeiss, fl.Ein)
    fl.SetMotor(mWeiss, fl.Aus)

def RotBlinken(n):
    "Rotblinken nach 3 sec"
    while not fl.Finish():
        fl.WaitForInput(iOffen, False)
        fl.Pause(3000)
        while (not(fl.Finish() or fl.GetInput(iOffen))):
            fl.SetMotor(mRot, fl.Ein)
            fl.Pause(500)
            fl.SetMotor(mRot, fl.Aus)
            fl.Pause(500)
        fl.SetMotor(mRot, fl.Aus)
            
def Kuehlschrank2():
    "Weiß und Rot"
    _thread.start_new_thread(RotBlinken, (0,))
    while not fl.Finish():
        if fl.GetInput(iOffen) == False:
            fl.SetMotor(mWeiss, fl.Ein)
        else :
            fl.SetMotor(mWeiss, fl.Aus)
    fl.SetMotor(mWeiss, fl.Aus)

fl = FishFace()

print("Kühlschrank wird gestartet")
fl.OpenInterface()
Kuehlschrank2()
print("Kuehlschrank wird beendet")
fl.CloseInterface()

   
