# ---------------------------------------------------------------------------
#
# Leuchtturm.PY                                        Ulrich Müller 22.08.10
#                                                      Aspire    Python 3.1.1
#
# ---------------------------------------------------------------------------

from FishFa40 import *
import _thread

mLicht1   = 1
mLicht2   = 2

def Leuchtturm1():
  "Gleichtaktfeuer"
  while not fl.Finish():
    fl.SetMotor(mLicht1, fl.Ein)
    fl.SetMotor(mLicht2, fl.Ein)
    fl.Pause(2000)
    fl.SetMotor(mLicht1, fl.Aus)
    fl.SetMotor(mLicht2, fl.Aus)
    fl.Pause(2000)

def Leuchtturm2():
  "Blitzprinzip"
  while not fl.Finish():
    fl.SetMotor(mLicht1, fl.Ein)
    fl.SetMotor(mLicht2, fl.Ein)
    fl.Pause(300)
    fl.SetMotor(mLicht1, fl.Aus)
    fl.SetMotor(mLicht2, fl.Aus)
    fl.Pause(1500)
  
def Lampe2Blinken(n):
  while not fl.Finish():
    fl.SetMotor(mLicht2, fl.Ein)
    fl.Pause(3000)
    fl.SetMotor(mLicht2, fl.Aus)
    fl.Pause(5000)
    
def Leuchtturm3():
  "Blinkprinzip"
  _thread.start_new_thread(Lampe2Blinken, (0,))
  while not fl.Finish():
    fl.SetMotor(mLicht1, fl.Ein)
    fl.Pause(2000)
    fl.SetMotor(mLicht1, fl.Aus)
    fl.Pause(3000)

fl = FishFace()

print ("Leuchtturm wird gestartet")
fl.OpenInterface()
Leuchtturm3()
print("Leuchtturm wird beendet")
fl.CloseInterface()


