# -----------------------------------------------------------------------------
#
# Scheibenwischer                                       Ulrich Müller 22.08.10
#                                                       Aspire    Python 3.1.1
# Betrieb des Scheibenwischers aus Robo LT Beginner Lab
#
# ----------------------------------------------------------------------------

from FishFa40 import *

mWischer  = 1
mLLampe   = 2
iTaster1  = 1
iTaster2  = 2
iLichtS   = 3
cLangsam  = 2

fl = FishFace()

def Scheibenwischer1():
    "Schnellgang : Drehschalter Pos 1"
    while not fl.Finish():
        if fl.GetInput(iTaster1):
            fl.SetMotor(mWischer, fl.Rechts);
        else: fl.SetMotor(mWischer, fl.Aus);

def Scheibenwischer2():
    "Pos 1 : Langsam, Pos 2 : Schnell"
    while not fl.Finish():
        if fl.GetInput(iTaster1)and fl.GetInput(iTaster2):
            fl.SetMotor(mWischer, fl.Rechts);
        elif fl.GetInput(iTaster1):
            fl.SetMotor(mWischer, fl.Rechts, cLangsam)
        else: fl.SetMotor(mWischer, fl.Aus);    
    
def Scheibenwischer3():
    "Pos 1 : Interval, 2 : Langsam, 3 : Schnell"
    fl.SetMotor(mLLampe, fl.Ein)
    fl.Pause(500)
    while not fl.Finish():
        if fl.GetInput(iTaster1) and fl.GetInput(iTaster2):
            fl.SetMotor(mWischer, fl.Rechts, cLangsam);
        elif fl.GetInput(iTaster1) and not fl.GetInput(iTaster2):
            fl.SetMotor(mWischer, fl.Rechts, cLangsam)
            fl.WaitForChange(iLichtS, 4)
            fl.SetMotor(mWischer, fl.Aus)
            fl.Pause(2000)
        elif not fl.GetInput(iTaster1) and fl.GetInput(iTaster2):
            fl.SetMotor(mWischer, fl.Rechts)
        else: fl.SetMotor(mWischer, fl.Aus);    
        
print("Scheibenwischer gestartet")
fl.OpenInterface()
Scheibenwischer3()
print("Scheibenwischer wird beendet")
fl.CloseInterface()
