# -----------------------------------------------------------------------------
#
# Schiebetuer                                           Ulrich Müller 22.08.10
#                                                       Aspire    Python 3.1.1
# Betrieb der Schiebetür aus Robo LT Beginner Lab
#
# ----------------------------------------------------------------------------

from FishFa40 import *

mTuer          = 1
mLLampe        = 2
dSchliessen    = 2
dOeffnen       = 1
iTuerOffen     = 1
iTuerZu        = 2
iLichtschranke = 3
cUnterbrochen  = False
cMittel        = 5

def Schiebetuer1():
    "Tür unbedingt schliessen"
    print("Tür wird geschlossen")
    fl.SetMotor(mTuer, dSchliessen, cMittel)
    fl.WaitForInput(iTuerZu)
    fl.SetMotor(mTuer, fl.Aus)

def Schiebetuer2():
    "Öffnen durch Lichtschranke, Schließen nach 10 sec"
    fl.SetMotor(mLLampe, fl.Ein)
    fl.Pause(500)
    fl.SetMotor(mTuer, dSchliessen)
    fl.WaitForInput(iTuerZu)
    fl.SetMotor(mTuer, fl.Aus)
    while not fl.Finish():
        fl.WaitForInput(iLichtschranke, cUnterbrochen)
        fl.SetMotor(mTuer, dOeffnen)
        fl.WaitForInput(iTuerOffen)
        fl.SetMotor(mTuer, fl.Aus)
        fl.Pause(10000)
        fl.SetMotor(mTuer, dSchliessen)
        fl.WaitForInput(iTuerZu)
        fl.SetMotor(mTuer, fl.Aus)

def Schiebetuer3():
    "Türbetrieb : Beim Schließen Lichtschranke beachten"
    fl.SetMotor(mLLampe, fl.Ein)
    fl.Pause(500)
    fl.SetMotor(mTuer, dSchliessen)
    fl.WaitForInput(iTuerZu)
    fl.SetMotor(mTuer, fl.Aus)
    while not fl.Finish():
        fl.WaitForInput(iLichtschranke, cUnterbrochen)
        fl.SetMotor(mTuer, dOeffnen)
        fl.WaitForInput(iTuerOffen)
        fl.SetMotor(mTuer, fl.Aus)
        fl.Pause(10000)
        fl.SetMotor(mTuer, dSchliessen)
        while (not fl.GetInput(iTuerZu) and not fl.Finish()):
            if not fl.GetInput(iLichtschranke):
                fl.SetMotor(mTuer, dOeffnen)
                fl.WaitForInput(iTuerOffen)
                fl.SetMotor(mTuer, fl.Aus)
                fl.Pause(5000)
                fl.SetMotor(mTuer, dSchliessen)
        fl.SetMotor(mTuer, fl.Aus)    
        
fl = FishFace()

print("Tür wird gestartet")
fl.OpenInterface()
Schiebetuer3()
print("Tür wird beendet")
fl.CloseInterface()
